/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003, 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 * 
 * $Id: VisitedElement.java,v 1.2 2004/04/27 16:43:58 dwagelaa Exp $
 * $Log: VisitedElement.java,v $
 * Revision 1.2  2004/04/27 16:43:58  dwagelaa
 * + added drag-n-drop
 * + added copy/paste
 * + added general copying operation
 * - removed examples (in separate module now)
 *
 */

package be.ac.vub.cocompose.lang;

/** 
 * Interface for elements that can be visited by a ModelVisitor.
 * @author Dennis Wagelaar 
 * @version 0.2.9, 27/04/2004
 * @see be.ac.vub.cocompose.lang.ModelVisitor
 * @since 0.2.0
 */
public interface VisitedElement
{
  /**
   * Accepts a visitor.
   * @param modelVisitor The visitor to accept.
   */
  void accept(ModelVisitor modelVisitor) throws ModelElementException;
}
