/**
 * Title:        CoCompose2
 * Copyright:    Copyright (c) 2003, 2004
 * Author:       Dennis Wagelaar
 * Organisation: Vrije Universiteit Brussel
 * Description:  CoCompose2 Model Driven Design Tool
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License, version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  (See the file "COPYING" that is included with this source distribution.)
 * 
 * $Id: ModelProperty.java,v 1.3 2004/05/07 15:25:47 dwagelaa Exp $
 * $Log: ModelProperty.java,v $
 * Revision 1.3  2004/05/07 15:25:47  dwagelaa
 * fixed all things to compile again
 *
 */

package be.ac.vub.cocompose.lang.properties;

import be.ac.vub.cocompose.lang.core.Model;

/**
 * Delegates to a model as property.
 * @author Dennis Wagelaar 
 * @version 0.2.10, 07/05/2004
 * @since 0.2.0
 */
public interface ModelProperty extends Property
{
  /**
   * Gets the model that represents this property.
   * @return the model that represents this property.
   */
  public Model getTargetModel();

  /**
   * Sets the model that represents this property.
   * @param model the model that represents this property.
   */
  public void setTargetModel(Model model);
}
